RDKit: RDKit::RDKitFP::RDKitFPEnvGenerator< OutputType > Class Template Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
RDKit::RDKitFP::RDKitFPEnvGenerator< OutputType > Class Template Reference

`#include <RDKitFPGenerator.h>`

Inheritance diagram for RDKit::RDKitFP::RDKitFPEnvGenerator< OutputType >:

## Public Member Functions
std::vector< AtomEnvironment< OutputType > * > | getEnvironments (const ROMol &mol, FingerprintArguments *arguments, const std::vector< std::uint32_t > *fromAtoms, const std::vector< std::uint32_t > *ignoreAtoms, int confId, const AdditionalOutput *additionalOutput, const std::vector< std::uint32_t > *atomInvariants, const std::vector< std::uint32_t > *bondInvariants, bool hashResults=false) const override
| generate and return all atom-envorinments from a molecule
std::string | infoString () const override
| method that returns information about this /c AtomEnvironmentGenerator and its arguments if any
void | toJSON (boost::property_tree::ptree &pt) const override
void | fromJSON (const boost::property_tree::ptree &pt) override
OutputType | getResultSize () const override
| Returns the size of the fingerprint based on arguments.
Public Member Functions inherited from RDKit::AtomEnvironmentGenerator< OutputType >
virtual | ~AtomEnvironmentGenerator ()

## Additional Inherited Members
Public Attributes inherited from RDKit::AtomEnvironmentGenerator< OutputType >
const FingerprintArguments * | dp_fingerprintArguments

## Detailed Description

template<typename OutputType>
class RDKit::RDKitFP::RDKitFPEnvGenerator< OutputType >

Definition at line 108 of file RDKitFPGenerator.h.

## Member Function Documentation

## ◆ fromJSON()

template<typename OutputType>

void RDKit::RDKitFP::RDKitFPEnvGenerator< OutputType >::fromJSON | ( | const boost::property_tree::ptree & | pt | ) |
| overridevirtual

Reimplemented from RDKit::AtomEnvironmentGenerator< OutputType >.

## ◆ getEnvironments()

template<typename OutputType>

std::vector< AtomEnvironment< OutputType > * > RDKit::RDKitFP::RDKitFPEnvGenerator< OutputType >::getEnvironments | ( | const ROMol & | mol,
|  | FingerprintArguments * | arguments,
|  | const std::vector< std::uint32_t > * | fromAtoms,
|  | const std::vector< std::uint32_t > * | ignoreAtoms,
|  | int | confId,
|  | const AdditionalOutput * | additionalOutput,
|  | const std::vector< std::uint32_t > * | atomInvariants,
|  | const std::vector< std::uint32_t > * | bondInvariants,
|  | bool | hashResults = false ) const
| overridevirtual

generate and return all atom-envorinments from a molecule

Parameters

  mol | molecule to generate the atom-environments from
  arguments | fingerprint type specific molecule independent arguments
  fromAtoms | atoms to be used during environment generation, usage of this parameter depends on the implementation of different fingerprint types
  ignoreAtoms | atoms to be ignored during environment generation, usage of this parameter depends on the implementation of different fingerprint types
  confId | which conformation to use during environment generation, needed for some fingerprint types
  additionalOutput | contains pointers for additional outputs of fingerprinting operation, usage depends on implementation of the fingerprint type
  atomInvariants | atom invariants to be used during environment generation, in some cases some of the hashing can be done during environment generation so it is also passed here
  bondInvariants | bond invariants to be used during environment generation, same as atomInvariants it might be needed
  hashResults | if set results will be ready to be modded

Returns
  std::vector<AtomEnvironment *> atom-environments generated from this molecule

Implements RDKit::AtomEnvironmentGenerator< OutputType >.

## ◆ getResultSize()

template<typename OutputType>

OutputType RDKit::RDKitFP::RDKitFPEnvGenerator< OutputType >::getResultSize | ( |  | ) | const
| overridevirtual

Returns the size of the fingerprint based on arguments.

Returns
  OutputType size of the fingerprint

Implements RDKit::AtomEnvironmentGenerator< OutputType >.

## ◆ infoString()

template<typename OutputType>

std::string RDKit::RDKitFP::RDKitFPEnvGenerator< OutputType >::infoString | ( |  | ) | const
| overridevirtual

method that returns information about this /c AtomEnvironmentGenerator and its arguments if any

Returns
  std::string information string

Implements RDKit::AtomEnvironmentGenerator< OutputType >.

## ◆ toJSON()

template<typename OutputType>

void RDKit::RDKitFP::RDKitFPEnvGenerator< OutputType >::toJSON | ( | boost::property_tree::ptree & | pt | ) | const
| overridevirtual

Reimplemented from RDKit::AtomEnvironmentGenerator< OutputType >.

The documentation for this class was generated from the following file:

- RDKitFPGenerator.h